dpkg-vendor(1)

NAMN
dpkg-vendor - frågar efter information om distributionsleverantörer

SYNOPS
dpkg-vendor [flaggor...] åtgärd

BESKRIVNING
dpkg-vendor är ett verktyg för att fråga efter leverantörer som finns i /etc/dpkg/origins. /etc/dpkg/origins/default innehåller information om den aktuella leverantören.

Ursprungsfilerna innehåller metadata om specifika leverantörer, såsom deras webbadress eller var felrapporter ska sändas, och används vanligvis både för att bestämma beteendet för verktyg och det slutliga innehåller i paket som byggs för en specifik leverantör, samt för att beskriva paketens proveniens.

Paket kan deklarera leverantörer explicit genom att inkludera ett Origin-fält, annars antas leverantörern för ett paket utan ett sådant fält att vara det ursprung som pekas på med den symboliska länken default.

Den symboliska länken default används också för att ange ursprunget för den aktuella installation som hanteras av dpkg, antingen om det är en full distribution eller ett överbygg ovanpå ett befintligt bassystem som antingen inte innehåller något paketsystem eller har ett eget.

Kommandot introducerades i dpkg 1.15.1.

KOMMANDON

--is leverantör
    Avslutar med 0 om den aktuella leverantören är leverantör. I annat fall avslutas programmet med 1.

--derives-from leverantör
    Avslutar med 0 om den aktuella leverantördistributionen är härledd från leverantör. I annat fall avslutas programmet med 1. Använder fältet Parent för att bläddra genom alla föräldrar till den aktuella leverantören.

--query fält
    Skriver värdet för det leverantörspecifika fältet fält för den aktuella leverantören på standard ut.

--help
    Visar hjälpskärm och avslutar.

--version
    Visar version och avslutar.

FLAGGOR

--vendor leverantör
    Anta att den aktuella leverantören är leverantör istället för att upptäcka det via miljövariabeln DEB_VENDOR eller /etc/dpkg/origins/default.

MILJÖVARIABLER

DEB_VENDOR
    Inställningen anger den aktuella leverantören. Om den inte är satt kommer leverantören att identifieras genom att läsa /etc/dpkg/origins/default.

DPKG_COLORS
    Väljer färgläge (sedan dpkg 1.18.5). För närvarande godtas följande värden: auto (förval), always och never.

DPKG_NLS
    Om satt, används för att bestämma om lokalt språkstöd ska aktiveras, även känt som internationaliseringsstöd (eller i18n) (sedan dpkg 1.19.0). Tillåtna värden är: 0 och 1 (förval).

FILER

  Paketeringsstöd

/usr/share/dpkg/vendor.mk
    Makefile-klipp som läser in aktuell leverantör och dess förälder till variabler, och tillhandahåller makron för att se efter derivat (sedan dpkg 1.16.1).

SE ÄVEN
deb-origin(5).

ÖVERSÄTTNING
Peter Krefting och Daniel Nylander.